@import url('https://fonts.googleapis.com/css?family=Josefin Sans');
@import url('https://fonts.googleapis.com/css?family=Monsieur%20La%20Doulaise');
@import url('https://fonts.googleapis.com/css?family=Bebas%20Neue');

html {
	margin: 0;
	padding: 0;
	scroll-behavior: smooth;
}

*{
	margin: 0;
	padding: 0;
	box-sizing: border-box;
	font-family: 'Josefin Sans';
}

body {
	margin: 0;
    padding: 0;
	/* background-image: url(images/pexels-todd-trapani-3593865.jpg); */
	background-color: antiquewhite;
	background-size: cover;
	font-family: 'Josefin Sans';
}

a {
	color: black;
	padding: 0 15px 15px 15px;
	text-decoration:none;
	font-size: 20px;
	display: inline-block;
}

a:hover {
	transform: scale(1.1);
	color: grey;
	transition: all ease-out .3s;
}

#logobtnimage {
	margin-top: 21px;
	width: 143px;
	height: 100px;
}

#logobtnimage:hover {
	transform: rotateZ(360deg);
	color: white;
	transition: all ease-out .3s;
}

#logobtn {
	width: 138px;
	height: 138px;
	margin-top: 15px;
	padding: 0;
	background: transparent;
	font-size: 0;
}

#container-header {
	align-self: center;
	text-align: center;
	padding-bottom: 15px;
	width: 100%;
	margin-top: 15px;
	transition: all ease-out .5s;
}

#redirects {
	color: #1f1f1f;
	color: pink;
}

header {
	display: flex;
	width: 100%;
	position: sticky;
	z-index: 100;
	top: 15px;
}

h2 {
	padding-top: 120px;
	font-size: 70px;
	font-family: 'Bebas Neue';
	text-align: center;
}

#skillsHead, #aboutMeHead, #contactid, #cvHead {
	scroll-margin-top: 10rem;
}

#footerTitle {
	padding-top: 12px;
	font-size: 24px;
}

/* @keyframes slideInFromLeft {
	0% {
	  opacity: 0;
	}
	100% {
	  opacity: 100%;
	}
}

.intro h1 {
	text-align: left;
}

.intro p {
	text-align: left;
	font-size: 20px;
}

.intro {
	border: solid black;
	width: 580px;
	margin: 0 auto 0 auto;
	display: flex;
	flex-direction: column;
	justify-content: left;
	text-align: left;
	animation: 1s ease-out 0s 1 slideInFromLeft;
} */

@keyframes clickmeloop {
	0% {
		transform: translateY(0);
	}
	50% {
		transform: translateY(10px);
	}
	100% {
		transform: translateY(0);
	}
}

.clickme {
	padding-top: 10px;
	text-align: center;
	animation: 1s clickmeloop;
	animation-iteration-count: infinite;
}

.container{
	padding: 10px;
	padding-top: 50px;
	padding-left: 10px;
	padding-right: 10px;
	width: 100%;
	display: flex;
	align-items: center;
	justify-content: center;
	z-index: -10;
}

.card{
	width: 500px;
	height: 300px;
	color: white;
	cursor: pointer;
	perspective: 1000px;
}

.card-inner{
	width: 100%;
	height: 100%;
	position: relative;
	transition: transform 1s;
	transform-style: preserve-3d;
}

.front, .back{
	width: 100%;
	height: 100%;
	background-image: linear-gradient(45deg, #000, #1f1f1f);
	position: absolute;
	top: 0;
	left: 0;
	padding: 20px 30px;
	border-radius: 20px;
	overflow: hidden;
	z-index: 1;
	backface-visibility: hidden;
}

.row{
	display: flex;
	align-items: center;
	justify-content: space-between;
}

.terrain-gif{
	width: 100%;
	position: absolute;
	top: 0;
	left: 0;
	opacity: 0.3;
	z-index: -1;
}

.box-gif{
	width: 100%;
	position: absolute;
	top: 0;
	left: 0;
	opacity: 0.3;
	transform: translateY(-50px);
	z-index: -1;
}

.cardlogo{
	display: flex;
	justify-content: center;
	font-size: 35px;
	margin-top: 75px;
}

.card-holder{
	font-size: 12px;
	margin-top: 20px;
}

.name{
	font-size: 22px;
	margin-top: 20px;
}

.bar{
	background-color: #222;
	margin-left: -30px;
	margin-right: -30px;
	height: 60px;
	margin-top: 10px;
}

#logocard {
	filter: invert(100);
}

.card-text {
	flex-direction: column;
	margin-top: 30px;
	font-size: 14px;
}

.signature {
	margin-top: 10px;
}

.back{
	transform: rotateY(180deg);
}

#signature {
	font-family: 'Monsieur La Doulaise'
}

.skills{
	margin: auto;
	width: 100%;
	max-width: 750px;
	display: flex;
	flex-direction: column;
	text-align: center;
	justify-content: center;
}

.containerskills {
	border-radius: 25px;
	border: #000 5px solid;
	width: 100%;
	height: 50px;
	background-color: #ddd; /* Grey background */
	margin: 5px 10px 10px 10px;
}

.skills p {
	margin: 0 10px 0 10px;
	margin-top: 0;
	width: 100%;
}

#skillsrow1, #skillsrow3 {
	padding: 0 10px 0 10px;
}

#skillsrow2, #skillsrow4 {
	padding-top: 0;
	margin-top: 0;
}

.skillsrow {
	align-items: stretch;
}

.skill1 {width: 0%; height: 42px; background-color: #000; padding: 0; opacity: 0; border-radius: 25px; margin: -1px;}
.skill2 {width: 0%; height: 42px; background-color: #000; padding: 0; opacity: 0; border-radius: 25px; margin: -1px;}
.skill3 {width: 0%; height: 42px; background-color: #000; padding: 0; opacity: 0; border-radius: 25px; margin: -1px;}
.skill4 {width: 0%; height: 42px; background-color: #000; padding: 0; opacity: 0; border-radius: 25px; margin: -1px;}
.skill5 {width: 0%; height: 42px; background-color: #000; padding: 0; opacity: 0; border-radius: 25px; margin: -1px;}
.skill6 {width: 0%; height: 42px; background-color: #000; padding: 0; opacity: 0; border-radius: 25px; margin: -1px;}
.skill7 {width: 0%; height: 42px; background-color: #000; padding: 0; opacity: 0; border-radius: 25px; margin: -1px;}
.skill8 {width: 0%; height: 42px; background-color: #000; padding: 0; opacity: 0; border-radius: 25px; margin: -1px;}


.skillsrow {
	padding: 10px;
	display: flex;
	align-items: center;
	justify-content: space-between;
}

.row2 {
	padding: 0px;
	display: flex;
	width: 100%;
	height: 130px;
	text-align: center;
	justify-content: center;
}

.row3 {
	padding: 0;
	width: 100%;
	height: 130px;
	display: flex;
	text-align: center;
	justify-content: center;
}

.box {
	margin: 0 -20px;
	padding: 0;
	width: 100%;
}

.box .chart {
	padding: 30px;
	border: #00000000 solid;
	position: relative;
	width: 150px;
	height: 130px;
	margin: 0 auto;
	text-align: center;
	font-size: 12px;
	line-height: 15px;
}

.aboutMe {
	padding: 10px;
	display: flex;
	flex-direction: column;
	align-items: left;
	justify-content: center;
	text-align: left;
	margin: auto;
	width: 100%;
	max-width: 750px;
}

.line-1{
    position: relative;
    top: 50%;
    width: 0em;
	margin-top: 30px;
    border-right: 2px solid rgba(0,0,0,.75);
    font-size: 180%;
    text-align: center;
    white-space: nowrap;
    overflow: hidden;
    transform: translateY(-50%);
}

.anim-typewriter{
	animation: typewriter 1s steps(15) 1s 1 normal both,
			blinkTextCursor 500ms steps(15) infinite normal ;
}

@keyframes typewriter{
	from{width: 0; min-width: 0;}
	to{width: 30%; min-width: 218px;}
}
@keyframes blinkTextCursor{
	from{border-right-color: rgba(0,0,0,.75);}
	to{border-right-color: transparent;}
}

.aboutMe a {
	padding: 0;
	margin: 0;
}

.aboutMe a:hover {
	transform: scale(1);
	color: grey;
	transition: all ease-out .3s;
}

.aboutMe p, .aboutMe a {
	padding-top: 0px;
	margin-top: 0px;
	line-height: 22px;
	font-size: 17px;
}

strong {
	font-weight: 300px;
}

.contactform {
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: center;
	text-align: left;
	margin: auto;
	padding: 0 10% 0 10%;
	width: 100%;
}

form {
	width: 100%;
	max-width: 750px;
	padding: 10px;
	display: flex;
	flex-direction: column;
}

form input, form textarea {
	width: 100%;
	resize: vertical;
	background-color: rgba(150,150,150,0.0);
	border: 1px solid black;
	border-radius: 15px;
	margin: 5px 0;
	padding: 10px;
	font-size: 12px;
}

form button {
	align-self: center;
	background-color: rgba(150,150,150,1);
	width: 120px;
	padding: 15px;
	margin: 5px;
	border: 1px solid black;
	border-radius: 30px;
}

.footer {
	bottom: 20px;
	height: 100%;
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: end;
	margin-top: 10px;
	padding-top: 10px;
	background-color: #000;
	color: whitesmoke;
}

.footer-links {
	display: flex;
	flex-direction: row;
	padding-top: 10px;
}

.gitlogo {
	filter: invert(1);
}
